<?php
load_theme_textdomain( 'marchie', TEMPLATEPATH . '/languages' );

$locale = get_locale();
$locale_file = TEMPLATEPATH . "/languages/$locale.php";
if ( is_readable($locale_file) )
	require_once($locale_file);

function get_page_number() {
    if ( get_query_var('paged') ) {
        print ' | ' . __( 'Page ' , 'marchie') . get_query_var('paged');
    }
} 

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
	));
}

function spambotEmailDefender($eStr) {
    for ($i = 0; $i < strlen($eStr); $i++) $ret .="&#".ord($eStr[$i]); 
    return $ret;
}

function marchieIconSelect($name, $storedValue) {
	$icons =array(
				  	'announce'=>'Megaphone',
					'category'=>'Category (Folder)',
					'heart'=>'Heart',
					'magnify'=>'Magnifying Glass',
					'speech'=>'Speech Bubble',
					'trophy'=>'Trophy',
					'user'=>'User',
					'warning'=>'Warning'
	);
	?>
<select name="<?php echo $name;?>">
<?php foreach($icons AS $value=>$name):?>
    <option value="<?php echo $value;?>" <?php if($value==$storedValue) echo ' selected';?>><?php _e($name);?></option>
<?php endforeach;?>
</select>	
<?php	
	
}


add_action('admin_menu', 'marchie_add_theme_page');


function marchie_add_theme_page() {
	if ( isset( $_GET['page'] ) && $_GET['page'] == basename(__FILE__) ) {
		if ( isset( $_REQUEST['action'] ) && 'save' == $_REQUEST['action'] ) {
			check_admin_referer('marchie-header');
			if($_POST['marchie_msg_welcome']) update_option('marchie_msg_welcome', $_POST['marchie_msg_welcome']);
			$updateFields =array('marchie_title', 'marchie_masthead_categories', 'marchie_masthead_posts', 'marchie_msg_welcome_icon', 'marchie_contact_phone', 'marchie_contact_email');
			foreach ($_POST AS $name=>$value) if(in_array($name, $updateFields)) update_option($name, $value);
			if(!$_POST['marchie_masthead_categories']) update_option('marchie_masthead_categories', '0');
			if(!$_POST['marchie_masthead_posts']) update_option('marchie_masthead_posts', '0');
			for($i=1;$i<=5;$i++) update_option('marchie_msg_announce_' . str_pad($i,2,'0',STR_PAD_LEFT), $_POST['marchie_msg_announce_' . str_pad($i,2,'0',STR_PAD_LEFT)]);
			for($i=1;$i<=5;$i++) update_option('marchie_msg_announce_' . str_pad($i,2,'0',STR_PAD_LEFT).'_icon', $_POST['marchie_msg_announce_' . str_pad($i,2,'0',STR_PAD_LEFT).'_icon']);
			
			wp_redirect("themes.php?page=functions.php&saved=true");
			die;
		}
		add_action('admin_head', 'marchie_theme_page_head');
	}
	add_theme_page(__('Marchie Candy Settings'), __('Marchie Candy Settings'), 'edit_themes', basename(__FILE__), 'marchie_theme_page');
}


function marchie_theme_page_head() {
//header for the template settings?>
<style>
	fieldset {border: 1px solid #ccc; background: #fff; width: 700px; margin-bottom: 16px; padding: 8px;}
	.field {float: left; width: 300px; color: #555; font-size: 14px;}
	.field h4 {width: 280px; font-size: 15px; color: #333; float: left; margin-top: 0; padding: 0; font-weight: normal;}
	.field .description {width: 280px; font-size: 12px; color: #555; float: left;  clear: left;}
	fieldset input.text {float: right; width: 366px; font-size: 14px;}
	.optionset {border: 1px dashed #ccc; padding: 8px; float: right; width: 350px; margin-top: 15px;}
	.optionset h4 {margin: 0 0 8px 0; padding: 0; font-weight: normal; font-size: 12px;}
	.optionsetinline {margin-top: 8px;}
	.option {display: block; margin-bottom: 8px;}
	.option input {margin-right: 8px;}

</style>
<?php
}

function marchie_theme_page() {
	if ( isset( $_REQUEST['saved'] ) ) echo '<div id="message" class="updated fade"><p><strong>'.__('Options saved.').'</strong></p></div>';
?>
<div class='wrap'>
	<h2><?php _e('Customize Template'); ?></h2>
	<div id="marchie-header">
		
		<br />
		
			<form method="post" action="">
				<?php wp_nonce_field('marchie-header'); ?>
                
                <h3><?php _e('Title');?></h3>
                <fieldset>
                	<div class="field">
						<h4><?php _e('Website title');?></h4>
                    	<div class="description"><?php _e('Choose whether to use a textual title or a logo. You\'ll need to replace the logo file in the location specified.');?></div>
                    </div>
                    <span class="optionset">
                        <span class="option"><input type="radio" name="marchie_title" <?php if(!get_option('marchie_title') || get_option('marchie_title')=='text') echo 'checked';?> value="text" /><?php _e('Text');?> <em>(<?php bloginfo('name');?>)</em></span>
                        <span class="option"><input type="radio" name="marchie_title" <?php if(get_option('marchie_title')=='logo') echo 'checked';?> value="logo" /><?php _e('Logo <em>(Replace file in theme directory/img/site-logo.png with an image with a height of 35px)</em>');?></span>
                    </span>
                </fieldset>
                
                <h3><?php _e('Masthead');?></h3>
				<fieldset>
                	<div class="field">
						<h4><?php _e('Welcome text');?></h4>
                        <div class="description"><?php _e('This is the text displayed first in the masthead when the page is loaded.');?></div>
                    </div>
                    <input type="text" class="text" name="marchie_msg_welcome" value="<?php echo get_option('marchie_msg_welcome') ? stripslashes(get_option('marchie_msg_welcome')) : translate('Hello. I\'ve just installed a new theme and haven\'t got round to configuring it yet.');?>" />
                    <span class="optionset optionsetinline">
	                    <h4><?php _e('Icon to display');?></h4>
                        <?php marchieIconSelect('marchie_msg_welcome_icon', get_option('marchie_msg_welcome_icon'));?>
                    </span>
               	</fieldset>
                <fieldset>
                	<div class="field">
						<h4><?php _e('Items to display in masthead');?></h4>
                        <div class="description"><?php _e('You can choose to display recent posts and/or available categories');?></div>
                    </div>
                    <span class="optionset">
                        <span class="option"><input type="checkbox" name="marchie_masthead_posts"<?php if(get_option('marchie_masthead_posts')==1) echo ' checked';?> value="1" /><?php _e('Recent posts');?></span>
                        <span class="option"><input type="checkbox" name="marchie_masthead_categories"<?php if(get_option('marchie_masthead_categories')==1) echo ' checked';?> value="1" /><?php _e('Categories');?></span>
					</span>
	             </fieldset>
                 <?php for($i=1;$i<=5;$i++):?>
                <fieldset>
                	<div class="field">
						<h4><?php _e('Text announcement #'.$i);?></h4>
                        <div class="description">Enter some text to display randomly in the masthead</div>
                     </div>
                    <input type="text" class="text" name="marchie_msg_announce_<?php echo str_pad($i, 2, '0', STR_PAD_LEFT);?>" value="<?php echo stripslashes(get_option('marchie_msg_announce_'.str_pad($i, 2, '0', STR_PAD_LEFT)));?>" />
                    <span class="optionset optionsetinline">
	                    <h4><?php _e('Icon to display');?></h4>
                        <?php marchieIconSelect('marchie_msg_announce_'.str_pad($i, 2, '0', STR_PAD_LEFT).'_icon', get_option('marchie_msg_announce_'.str_pad($i, 2, '0', STR_PAD_LEFT).'_icon'));?>
                    </span>
               	</fieldset>
                <?php endfor;?>
                <h3><?php _e('Contact Information');?></h3>
                
                <fieldset>
                	<div class="field">
						<h4><?php _e('Your phone number <em>(optional)</em>');?></h4>
                        <div class="description"><?php _e('If you use your website for business, you might find it useful to add a phone number.');?></div>
                     </div>
                    <input type="text" class="text" name="marchie_contact_phone" value="<?php echo stripslashes(get_option('marchie_contact_phone'));?>" />
                 </fieldset>
                 <fieldset>
                    <div class="field">
						<h4><?php _e('Your public e-mail <em>(optional)</em>');?></h4>
                        <div class="description"><?php _e('You might want to allow people to e-mail you through your site. Your email address will be obfuscated to help defend against spambots.');?></div>
                     </div>
                    <input type="text" class="text" name="marchie_contact_email" value="<?php echo stripslashes(get_option('marchie_contact_email'));?>" />
                 </fieldset>
                
                <input type="hidden" name="action" value="save" />
                <input type="submit" value="Save" />
			</form>
		
	</div>
</div>
<?php } 


?>