<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<title><?php
        if ( is_single() ) { single_post_title(); }       
        elseif ( is_home() || is_front_page() ) { bloginfo('name'); print ' | '; bloginfo('description'); get_page_number(); }
        elseif ( is_page() ) { single_post_title(''); }
        elseif ( is_search() ) { bloginfo('name'); print ' | Search results for ' . wp_specialchars($s); get_page_number(); }
        elseif ( is_404() ) { bloginfo('name'); print ' | Not Found'; }
        else { bloginfo('name'); wp_title('|'); get_page_number(); }
    ?></title>
    <meta http-equiv="content-type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
    <!--[if IE 6]>
    <link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory');?>/css/ie6.css" />
    <![endif]-->
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
    <?php 
	wp_enqueue_script('jquery'); 
	wp_enqueue_script('jquery-ui-anim', get_bloginfo('template_directory').'/js/jquery-ui-1.7.2.min.js');
	wp_enqueue_script('superfish', get_bloginfo('template_directory').'/js/superfish.js', array('jquery', 'jquery-ui-core'));
	wp_enqueue_script('marchie-candy', get_bloginfo('template_directory').'/js/marchie-candy.js', array('jquery','jquery-ui-core','superfish'));
	
	?>
    <?php wp_head(); ?>
	<link rel="alternate" type="application/rss+xml" href="<?php bloginfo('rss2_url'); ?>" title="<?php printf( __( '%s latest posts', 'marchie' ), wp_specialchars( get_bloginfo('name'), 1 ) ); ?>" />
	<link rel="alternate" type="application/rss+xml" href="<?php bloginfo('comments_rss2_url') ?>" title="<?php printf( __( '%s latest comments', 'marchie' ), wp_specialchars( get_bloginfo('name'), 1 ) ); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
</script>
</head>
<body>
    <div id="masthead">
        <div id="branding">
        <?php switch(get_option('marchie_title')) :
			case 'logo':?>
            	<h2 class="logo"><a href="<?php bloginfo('url');?>"><img src="<?php bloginfo('template_directory');?>/img/site-logo.png" alt="<?php bloginfo('name');?>" height="35" /></a></h2>
           	<?php break;
			default:?>
	            <h2 class="title"><a href="<?php bloginfo('url');?>"><?php bloginfo('name');?></a></h2>
            <?php endswitch;?>
            <div id="blogDescription"><h3><?php bloginfo('description');?></h3></div>
        </div>
        <div id="mastheadBanner">
            <div id="animatedArea">
                <div class="item">
                        <div class="icon">
                                <img src="<?php bloginfo('template_directory');?>/img/icon-<?php echo get_option('marchie_msg_welcome_icon') ? get_option('marchie_msg_welcome_icon') : 'heart';?>.png" width="80" height="80" />
                        </div>
                        <div class="strap">
                            <div class="copy"><?php echo get_option('marchie_msg_welcome') ? stripslashes(get_option('marchie_msg_welcome')) : 'Hello. I\'ve just installed a new theme and haven\'t got round to configuring it yet.';?></div>
                        </div>
                    </div>
            
            	<?php if(get_option('marchie_masthead_categories')=='1'):?>
            	<div class="item">
                	<div class="icon"><img src="<?php bloginfo('template_directory');?>/img/icon-category.png" width="80" height="80" /></div>
                	<div class="strap">
						<?php 
						wp_list_categories('title_li=');
						?>
                        
                	</div>
                </div>
            	<?php endif;?>
            
            	<?php if(get_option('marchie_masthead_posts')=='1'):?>
            	<div class="item">
                	<div class="icon"><img src="<?php bloginfo('template_directory');?>/img/icon-announce.png" width="80" height="80" /></div>
                	<div class="strap">
						<?php 
						$postslist = get_posts('numberposts=10&order=DESC&orderby=date');
						 foreach ($postslist as $post) : 
							setup_postdata($post);
						 ?> 
						 <li>
						 <a href="<?php the_permalink(); ?>">&laquo;<?php the_title(); ?>&raquo;</a> 
                         <br /><?php the_date(); ?>   
						 </li>
						 <?php endforeach; ?>
                        
                	</div>
                </div>
                <?php endif;?>
                <?php for($i=1;$i<=5;$i++)if(get_option('marchie_msg_announce_' . str_pad($i,2,'0',STR_PAD_LEFT))):?>
                <div class="item">
                    <div class="icon">
                            <img src="<?php bloginfo('template_directory');?>/img/icon-<?php echo get_option('marchie_msg_announce_' . str_pad($i,2,'0',STR_PAD_LEFT).'_icon');?>.png" width="80" height="80" />
                    </div>
                    <div class="strap">
                        <div class="copy"><?php echo stripslashes(get_option('marchie_msg_announce_' . str_pad($i,2,'0',STR_PAD_LEFT)));?></div>
                    </div>
                </div>
            <?php endif;?>
            </div>
            <div id="mainNav" class="sf-menu">
                <ul>
                    <li class="<?php if(is_home()) echo 'current_page_item';?> page_item" onclick="document.location.href='/';"><a href="<?php bloginfo('url');?>"><?php _e('Home');?></a></li>
                    <?php wp_list_pages('title_li=&sort_column=menu_order&depth=2');?>
                   
                </ul>
            </div>
            
        </div>
        <div id="mainContactInfo">
        	<?php if(get_option('marchie_contact_phone')):?>
            <div class="contactOption">
                <div class="icon"><img src="<?php bloginfo('template_directory');?>/img/mastheadIcon-phone.gif" width="16" height="18" /></div>
                <div class="contact"><span>Tel:</span><address><?php echo stripslashes(get_option('marchie_contact_phone'));?></address></div>
            </div>
            <?php 
			endif;
			if(get_option('marchie_contact_email')):
			$email =spambotEmailDefender(stripslashes(get_option('marchie_contact_email')));
			?>			
            <div class="contactOption">
                <div class="icon"><img src="<?php bloginfo('template_directory');?>/img/mastheadIcon-mail.gif" width="17" height="12" /></div>
                <div class="contact"><span><?php echo _e('E-mail');?>:</span><div><a href="mailto:<?php echo $email;?>"><?php echo $email;?></a></div></div>
            </div>
            <?php endif;?>
        </div>
    </div>
    <div id="container">
    
    
    